Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProviderInterface Interface Reference

Interface for services providing additional parameters to a fieldtype's view template (using ez_render_field() helper). More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProviderInterface:

## Public Member Functions
| getViewParameters (Field $field)
| Returns a hash of parameters to inject to the associated fieldtype's view template. More...

## Detailed Description

Interface for services providing additional parameters to a fieldtype's view template (using ez_render_field() helper).

Each instance of this interface needs to be correctly registered in the ParameterProviderRegistry.

See also
  \eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProviderRegistryInterface

Definition at line 17 of file ParameterProviderInterface.php.

## Member Function Documentation

## ◆ getViewParameters()

eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProviderInterface::getViewParameters | ( | Field | $field | ) |

Returns a hash of parameters to inject to the associated fieldtype's view template.

Returned parameters will only be available for associated field type.

Key is the parameter name (the variable name exposed in the template, in the 'parameters' array). Value is the parameter's value.

Parameters

  \eZ\Publish\API\Repository\Values\Content\Field | $field | The field parameters are provided for.

Returns
  array

Implemented in eZ\Publish\Core\MVC\Symfony\FieldType\View\ParameterProvider\LocaleParameterProvider, eZ\Publish\Core\MVC\Symfony\FieldType\User\ParameterProvider, eZ\Publish\Core\MVC\Symfony\FieldType\RelationList\ParameterProvider, eZ\Publish\Core\MVC\Symfony\FieldType\Relation\ParameterProvider, eZ\Publish\Core\MVC\Symfony\FieldType\Page\ParameterProvider, and eZ\Publish\Core\MVC\Symfony\FieldType\ImageAsset\ParameterProvider.

The documentation for this interface was generated from the following file:

- ParameterProviderInterface.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.